﻿@model IEnumerable<PlaylistViewModel>

@{
    ViewData["Title"] = "Index";
}

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="~/css/paging.css" />
<p>
    <center><a asp-action="Create" class="btn btn-outline-warning" role="button">Generate Playlist</a></center>
</p>
<table class="table table-borderless" style="background-color: rgba(0, 0, 0, 0.6);">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Title)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.TotalDuration)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.AverageRank)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Genres)
            </th>
            <th>
                <center><b>Play</b></center>
            </th>
            <th>
                <center><b>Edit</b></center>
            </th>
            <th>
                <center><b>Details</b></center>
            </th>
            <th>
                <center><b>Delete</b></center>
            </th>

        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Title)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.TotalDuration) min
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.AverageRank)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Genres)
                </td>
                <td>
                    <center>
                        <a asp-controller="Playlist" asp-action="Listen" asp-route-id="@item.Id" class="gg-play-button-o" role="button"></a>
                    </center>
                </td>
                <td>
                    <center>
                        <a asp-action="Edit" asp-route-id="@item.Id" class="fa fa-edit" style="font-size:larger" role="button"></a>
                    </center>
                </td>
                <td>
                    <center>
                        <a asp-controller="Playlist" asp-action="Details" asp-route-id="@item.Id" class="gg-readme" role="button"></a>
                    </center>
                </td>
                <td>
                    <center>
                        <a asp-action="Delete" asp-route-id="@item.Id" class="fa fa-close" style="font-size:larger" role="button"></a>
                    </center>
                </td>
            </tr>
        }
    </tbody>
</table>
<center>
    <div class="pagination">
        <div id="paging">
            @for (int i = 1; i <= ViewBag.playlistCount; i++)
            {
                if (i % 5 == 0 || i == ViewBag.playlistCount)
                {
                    var pageNum = i / 5;
                    if (i % 5 > 0)
                    {
                        pageNum++;
                    }
                    <a id="pbtn" href="@Url.Action("Index", "UserPlaylist", new { pageNumber = pageNum})">@pageNum</a>
                }
            }
        </div>
    </div>
</center>
